package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.SportEntity;

import java.util.Collection;
import java.util.List;

/**
 *
 * @author tpeetz
 */
interface SportDao {
    public SportEntity getById(Long id);
	
    public Collection<SportEntity> findByIds(List<Long> ids);
	
    public Collection<SportEntity> findByName(String name);

    public Collection<SportEntity> findAll();

    public SportEntity addSport(String name);

    public SportEntity store(SportEntity entity);
	
    public void delete(SportEntity entity);
}
